<div class="menucenter">
<?
$sql="select price from tb_config where item='wmframeads'";
$res=mysql_query($sql);
$fa=mysql_result($res,0,0);

if (isset($_POST["system"]))
{
	if( strtolower($_POST['code'])!= strtolower($_SESSION['logcaptcha']) OR !isset($_SESSION["logcaptcha"]))

	{
		echo "<div class=error>&nbsp;Неверно введен код с картинки... </div>";
		require 'footer.php';
		exit();
	}
unset($_SESSION["logcaptcha"]);

	if($_POST["system"]=="wmid"){
     $wmid=$_POST["wmid"];
	if (is_numeric($wmid)!="true")
	{
		echo "<div class=error>&nbsp;Введено неверное значение в поле WMID</div>";
		require 'footer.php';
		exit();
	}

	if ($wmid==""){echo "<div class=error>Указаны не все параметры</div>"; include('footer.php'); exit();}
   }elseif($_POST["system"]=="liqpay"){
   	 function liq($mensaje)
     {
      if (preg_match("/[0-9]/", $mensaje))
      {
        return $mensaje;
      }else{
        echo "<div class=error>Введенные данные содержат запрещенные символы. Проверьте правильность ввода счета LiqPay</div>";include('footer.php');exit();
      }
     }

     $schet = liq($_POST["schet"]);$wmid ="+".$schet;
     if(!is_numeric($wmid) or strlen($wmid)< 8 or strlen($wmid)> 15 or $wmid==NULL){echo "<div class=error>Неверно введен номер счета LiqPay</div>";include('footer.php');exit();}
   }else{
   	 echo "<div class=error>Заполнены не все поля!!!</div>";include('footer.php');exit();
   }

	$plan=intval($_POST["plan"]);
	if (is_numeric($plan)!="true" or $plan<=0)
	{
		echo "<div class=error>&nbsp;Введено неверное количество дней показа</div>";
		require 'footer.php';
		exit();
	}

	$urlsite=text($_POST["urlsite"]);
	$description=text($_POST["description"]);

	if ($plan==""){echo "<div class=error>Заполнены не все поля</div>"; include('footer.php'); exit();}
	if ($urlsite==""){echo "<div class=error>Заполнены не все поля</div>"; include('footer.php'); exit();}
	if ($description==""){echo "<div class=error>Заполнены не все поля</div>"; include('footer.php'); exit();}

	$sql = "INSERT INTO tb_frameadsreq (link, text, wmid, plan) VALUES('$urlsite','$description','$wmid', '$plan')";
	mysql_query($sql) or die(mysql_error());

	$res=mysql_query("select id from tb_frameadsreq where wmid='$wmid' order by id desc");
	$res=mysql_fetch_assoc($res);
	$id=$res["id"];

	$res=mysql_query("select purse, valutaname from tb_site where id='1'");
	$pv=mysql_fetch_assoc($res);
	$p=$pv["purse"];
	$vn=$pv["valutaname"];

	$price=$plan*$fa;
	$price = round($price,2);

	echo "<fieldset class=good><center>&nbsp;Ваш заказ принят! После оплаты Ваша реклама будет добавлена автоматически.<br>";

if($_POST["system"]=="wmid"){
echo "<form method=\"POST\" action=\"https://merchant.webmoney.ru/lmi/payment.asp\">
		<input type=\"hidden\" name=\"LMI_PAYMENT_AMOUNT\" value=\"".$price."\">
		<input type=\"hidden\" name=\"LMI_PAYMENT_DESC\" value=\"Оплата рекламы во фрейме на ".$plan." дней.\">
		<input type=\"hidden\" name=\"LMI_PAYEE_PURSE\" value=\"".$p."\">
		<input type=\"hidden\" name=\"service\" value=\"advframeads\">
		<input type=\"hidden\" name=\"id\" value=\"".$id,"\">
		<input type=\"submit\" value=\"Оплатить ".$price." ".$vn." WebMoney\">
	</form></center></fieldset>";
}elseif($_POST["system"]=="liqpay"){
$liq=mysql_query("select * from tb_liqpay where id='1'");$ld=mysql_fetch_assoc($liq);

$order = "advframeads_".$id; $resurl = $ld['urlok']; $serurl = $ld['urldop']; $merchant_id = $ld['merchid']; $vval = $ld['valuta'];
    $descript = "Oplata frame ssilki id:".$id; $urlzap = "https://www.liqpay.com/?do=clickNbuy";

	$xml="<request>
      <version>1.2</version>
      <result_url>$resurl</result_url>
      <server_url>$serurl</server_url>
      <merchant_id>$merchant_id</merchant_id>
      <order_id>$order</order_id>
      <amount>$price</amount>
      <currency>$vval</currency>
      <description>$descript</description>
      <default_phone></default_phone>
      <pay_way></pay_way>
</request>";

    $signature = $ld['podp'];
	$xml_encoded = base64_encode($xml);
	$lqsignature = base64_encode(sha1($signature.$xml.$signature,1));

echo "<form action=\"".$urlzap."\" method=POST accept-charset=utf-8>
<input type=\"hidden\" name=\"operation_xml\" value=\"".$xml_encoded."\">
<input type=\"hidden\" name=\"signature\" value=\"".$lqsignature."\">
<input type=submit value=\"Оплатить ".$price." ".$ld['valuta']." LiqPay\">
</form></center></fieldset>
";
}
	require 'footer.php';
	exit();
}
?>
<script language=javascript>
var fa=<?=$fa?>;

var celoe;
var drob;
var res;
function okrugl(nums)
{
	celoe=Math.floor(nums);
	drob=(nums-celoe)*100;
	drob=Math.floor(drob);
	if(drob>=10)
	{
		res=celoe+'.'+drob;
	}else{
		res=celoe+'.0'+drob;
	}
	return res;
}

function getZakaz(frm)
{
	frm.summa.value=frm.plan.value*fa;
	frm.summa.value=okrugl(frm.summa.value)+' руб.';
}
</script>
<div class="menucenter">
<font color='#00bb00'><b><u>Описание:</u></b> </font><br>
Это ссылки, которые размещаются в Фрейм при просмотре рекламы ,и показываются в случайном порядке.
</div>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<div id="form">
<form method="post" action="advertise.php?adv=frame">
<input type=hidden name=ask_editcode value=0 />

<thead>
<tr>
<th align="left" colspan="3">Фрейм » » »</th>
</tr></thead>
<tr>
<td width='40%'><b>Способ оплаты</b></td>
<td class=value>
    <input name="system" value="wmid" onFocus="javascript:lpau('liqpay1')" checked="checked" type="radio">WebMoney
    </td>
<td class=service></td>
</tr></table>
<div id="liqpay1" style="display: block;">
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr>
<td width='40%'><b>Ваш WMID:</b></td>
<td class=value><input type="text" size="25" maxlength="12" name="wmid" autocomplete="off" value=""></td>

</tr>
</table></div>
<div id="liqpay2" style="display: none;">
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr>
<td width='40%'><b>LiqPay счет:</b></td>
<td class=value><input type="text" size="22" maxlength="13" name="schet" value="" style="background: url(../images/plus.jpg) no-repeat 2px;padding-left: 13px;"></td>

</tr>
</table></div>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0' style='margin-bottom: 0;'>
<tr>
<td width='40%'><b>URL сайта</b> (включая http://)</td>
<td class=value><input type="text" name="urlsite" size="25" maxlength="150" autocomplete="off" class="field" value="http://" tabindex="2" /></td>

</tr>
<tr>
<td width='40%'><b>Текст ссылки</b></td>
<td class=value><input type="text" name="description" size="25" maxlength="150" autocomplete="off" class="field" value="" tabindex="3" /></td>

</tr>
<tr>
<td width='40%'><b>Кол-во дней показа</b></td>
<td class=value><input name="plan" type="text" size="6" onChange="getZakaz(this.form)" maxlength="4" tabindex="4"/></td>

</tr>
<tr>
<td width='40%'><b>Введите код</b></td>
<td class=value>
<input class=val type='text' size='3' maxlength='4' name='code' autocomplete="off" onChange="getZakaz(this.form)" value="">
<img src="logincap.php" align="absmiddle">
</td>

</tr>
<tr>
<td width='40%'><b>Сумма вашего заказа</b></td>
<td class="price">
<input class=val type='text' size='10' maxlength='20' readonly='readonly' name='summa' autocomplete="off" value="0.00 руб."/>
</td>

</tr>
<tr>
<td width='40%'><b>Оплата заказа</b></td>
<td class=value>
<input class="ok_wm" type="submit" value=" Оплатить Заказ " class="submit" tabindex="6" />
</td>

</tr>
</tbody>
</table>
</form>
<center><br><br><font color=#ff0000>*</font> - На указанный WMID мы Вас проинформируем об окончание просмотра ссылки.</center>
</div>